Skip to main content
POST
/
contacts
Add Contact
curl --request POST \
  --url https://api.truedy.ai/api/public/v1/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "John Doe",
  "phone_number": "+12125551234",
  "folder_id": "folder_123"
}
'
{
  "data": {
    "id": "contact_39b593b8-8",
    "name": "John Doe",
    "phone_number": "+12125551234",
    "folder_id": "folder_123",
    "created_at": "2026-03-03T20:30:21.310278Z"
  },
  "meta": {
    "request_id": "req_32e7531c-8",
    "timestamp": "2026-03-03T20:30:21.310278Z"
  }
}

Authorizations

Authorization
string
header
required

Your API key. Get it from the Truedy Dashboard. Send as: Authorization: Bearer <your_key>

Body

application/json
folder_id
string
required

Folder ID to add contact to

phone_number
string
required

Phone number in E.164 format

first_name
string | null

First name

Maximum string length: 50
last_name
string | null

Last name

Maximum string length: 50
email
string | null

Email address

company_name
string | null

Company name

Maximum string length: 100
industry
string | null

Industry

Maximum string length: 100
location
string | null

Location

Maximum string length: 100
pin_code
string | null

Pin code

Maximum string length: 20
keywords
string[] | null

Keywords (array)

metadata
Metadata · object

Additional metadata

Response

Resource created successfully

Response body